#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>

#include "mission.h"
#include "utils.h"
#include "prologin.h"

void init_game(void)
{
  srand(mon_identifiant() * 33 + time(NULL));
  definit_competence(DX_R, DX_A, DX_M, DX_V);
  log("Init leuco %d/%d equipe %d/%d\n", mon_identifiant(),
      nombre_leucocyte(), mon_equipe(), equipes());
  init_mission();
}

void play_turn(void)
{
  log("Tour %d\n", battement_courant());
  log("Position %dx%d\n", getx(), gety());
  log("Points %d\n", score(mon_equipe()));
  log("Etat %d\n", etat_leucocyte(mon_identifiant()));
  if(etat_leucocyte(mon_identifiant()) != STATE_DEAD) {
    affect_mission();
    handle_mission();
  }
  fflush(stdout);
}

