#ifndef UTILS_H
#define UTILS_H

#define log(fmt, ...)                          \
do {                                           \
  printf("[Leucocyte %d]", mon_identifiant());  \
  printf( fmt, __VA_ARGS__);                   \
} while(0)

#define log2(str)                              \
do {                                           \
  printf("[Leucocyte %d]", mon_identifiant());  \
  puts(str);                                   \
} while(0)

int getx();
int gety();
int isat(int x, int y);
int mid(double i);
int minmax(int min, int v, int max);
int deplace(int x, int y);
int phago(int x, int y);
int check_bacteries_rect(int x1, int y1, int x2, int y2);
int check_bacteries();
int plusproche(int *x, int *y, int func(int, int));

#define DX_R 3
#define DX_A 6
#define DX_M 0
#define DX_V 3

#endif
